/*
 * eeprom16.h
 *
 *  Created on: Oct 11, 2024
 *      Author: true
 */

#ifndef USER_HW_EEPROM16_H_
#define USER_HW_EEPROM16_H_



#include <stdint.h>



#define EEPROM_I2C_ADDR     0xa0

#define EEPROM_SIZE         65536
#define EEPROM_PAGE_SIZE    128



void eep16_read(uint16_t addr, uint8_t *dat, uint32_t len);
void eep16_write(uint16_t addr, uint8_t *dat, uint16_t len);
uint8_t eep16_is_ready();



#endif /* USER_DEVICE_EEPROM16_H_ */
